▼ |  | raco: Racket Command-Line Tools

1 | raco make: Compiling Source to Bytecode
2 | raco link: Library Collection Links
3 | raco exe: Creating Stand-Alone Executables
4 | raco distribute: Sharing Stand-Alone Executables
5 | raco pack: Packing Library Collections
6 | raco unpack: Unpacking Library Collections
7 | raco planet: Automatic Package Distribution
8 | raco setup: Installation Management
9 | raco decompile: Decompiling Bytecode
10 | raco demod: Demodularizing Programs
11 | raco ctool: Working with C Code
12 | raco test: Run tests
13 | Adding a raco Command

top ← prev up next →

### 12`` raco test: Run tests

The raco test command requires and runs the test submodule (if any) associated with each path given on the command line. When a path refers to a directory, the tool recursively discovers all files that end in ".rkt" within the directory and runs their test submodules.

The raco test command accepts a few flags:

- -s ‹name› or --submodule ‹name› — Requires the submodule ‹name› rather than test.

- -r or --run-if-absent — Requires the top-level module of a file if the relevant submodule is not present. This is the default mode.

- -x or --no-run-if-absent — Ignores a file if the relevant submodule is not present.

top ← prev up next →